Package org.gradle.tooling

# Interface FileComparisonTestAssertionFailure

All Superinterfaces:
  `Failure`, `TestAssertionFailure`, `TestFailure`

@Incubating public interface FileComparisonTestAssertionFailure extends TestAssertionFailure
Represent a test assertion failure where the test fails due to a broken assertion.

Since:
  8.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte @Nullable []`
  `getActualContent()`
  Returns the string representation of the actual value.
  `byte @Nullable []`
  `getExpectedContent()`
  Returns the string representation of the expected value.

  ### Methods inherited from interface org.gradle.tooling.Failure

  `getCauses, getDescription, getMessage, getProblems`

  ### Methods inherited from interface org.gradle.tooling.TestAssertionFailure

  `getActual, getExpected`

  ### Methods inherited from interface org.gradle.tooling.TestFailure

  `getClassName, getStacktrace`

- ## Method Details

  - ### getExpectedContent

    byte @Nullable [] getExpectedContent()
    Returns the string representation of the expected value.
    Returns:
      the expected value or `null` if the test framework doesn't supply detailed information on assertion failures

  - ### getActualContent

    byte @Nullable [] getActualContent()
    Returns the string representation of the actual value.
    Returns:
      the actual value or `null` if the test framework doesn't supply detailed information on assertion failures